Loading...
Searching...
No Matches
elxInstallComponentFunctionCalls.h File Reference

Go to the source code of this file.

## Functions

| elxInstallComponentFunctionCallMacro (AdaptiveStochasticGradientDescent)
| elxInstallComponentFunctionCallMacro (AdvancedAffineTransformElastix)
| elxInstallComponentFunctionCallMacro (AdvancedBSplineTransform)
| elxInstallComponentFunctionCallMacro (AdvancedKappaStatisticMetric)
| elxInstallComponentFunctionCallMacro (AdvancedMattesMutualInformationMetric)
| elxInstallComponentFunctionCallMacro (AdvancedMeanSquaresMetric)
| elxInstallComponentFunctionCallMacro (AdvancedNormalizedCorrelationMetric)
| elxInstallComponentFunctionCallMacro (AffineDTITransformElastix)
| elxInstallComponentFunctionCallMacro (AffineLogStackTransform)
| elxInstallComponentFunctionCallMacro (AffineLogTransformElastix)
| elxInstallComponentFunctionCallMacro (BSplineInterpolator)
| elxInstallComponentFunctionCallMacro (BSplineInterpolatorFloat)
| elxInstallComponentFunctionCallMacro (BSplineResampleInterpolator)
| elxInstallComponentFunctionCallMacro (BSplineResampleInterpolatorFloat)
| elxInstallComponentFunctionCallMacro (BSplineStackTransform)
| elxInstallComponentFunctionCallMacro (CMAEvolutionStrategy)
| elxInstallComponentFunctionCallMacro (ConjugateGradient)
| elxInstallComponentFunctionCallMacro (ConjugateGradientFRPR)
| elxInstallComponentFunctionCallMacro (CorrespondingPointsEuclideanDistanceMetric)
| elxInstallComponentFunctionCallMacro (DefaultResampler)
| elxInstallComponentFunctionCallMacro (DeformationFieldTransform)
| elxInstallComponentFunctionCallMacro (DisplacementMagnitudePenalty)
| elxInstallComponentFunctionCallMacro (DistancePreservingRigidityPenalty)
| elxInstallComponentFunctionCallMacro (EulerStackTransform)
| elxInstallComponentFunctionCallMacro (EulerTransformElastix)
| elxInstallComponentFunctionCallMacro (ExternalTransform)
| elxInstallComponentFunctionCallMacro (FiniteDifferenceGradientDescent)
| elxInstallComponentFunctionCallMacro (FixedGenericPyramid)
| elxInstallComponentFunctionCallMacro (FixedRecursivePyramid)
| elxInstallComponentFunctionCallMacro (FixedShrinkingPyramid)
| elxInstallComponentFunctionCallMacro (FixedSmoothingPyramid)
| elxInstallComponentFunctionCallMacro (FullSampler)
| elxInstallComponentFunctionCallMacro (FullSearch)
| elxInstallComponentFunctionCallMacro (GradientDifferenceMetric)
| elxInstallComponentFunctionCallMacro (GridSampler)
| elxInstallComponentFunctionCallMacro (KNNGraphAlphaMutualInformationMetric)
| elxInstallComponentFunctionCallMacro (LinearInterpolator)
| elxInstallComponentFunctionCallMacro (LinearResampleInterpolator)
| elxInstallComponentFunctionCallMacro (MissingStructurePenalty)
| elxInstallComponentFunctionCallMacro (MovingGenericPyramid)
| elxInstallComponentFunctionCallMacro (MovingRecursivePyramid)
| elxInstallComponentFunctionCallMacro (MovingShrinkingPyramid)
| elxInstallComponentFunctionCallMacro (MovingSmoothingPyramid)
| elxInstallComponentFunctionCallMacro (MultiBSplineTransformWithNormal)
| elxInstallComponentFunctionCallMacro (MultiInputRandomCoordinateSampler)
| elxInstallComponentFunctionCallMacro (MultiMetricMultiResolutionRegistration)
| elxInstallComponentFunctionCallMacro (MultiResolutionRegistration)
| elxInstallComponentFunctionCallMacro (MultiResolutionRegistrationWithFeatures)
| elxInstallComponentFunctionCallMacro (NearestNeighborInterpolator)
| elxInstallComponentFunctionCallMacro (NearestNeighborResampleInterpolator)
| elxInstallComponentFunctionCallMacro (NormalizedGradientCorrelationMetric)
| elxInstallComponentFunctionCallMacro (NormalizedMutualInformationMetric)
| elxInstallComponentFunctionCallMacro (PatternIntensityMetric)
| elxInstallComponentFunctionCallMacro (PCAMetric)
| elxInstallComponentFunctionCallMacro (PCAMetric2)
| elxInstallComponentFunctionCallMacro (PolydataDummyPenalty)
| elxInstallComponentFunctionCallMacro (Powell)
| elxInstallComponentFunctionCallMacro (PreconditionedStochasticGradientDescent)
| elxInstallComponentFunctionCallMacro (QuasiNewtonLBFGS)
| elxInstallComponentFunctionCallMacro (RandomCoordinateSampler)
| elxInstallComponentFunctionCallMacro (RandomSampler)
| elxInstallComponentFunctionCallMacro (RandomSamplerSparseMask)
| elxInstallComponentFunctionCallMacro (RayCastInterpolator)
| elxInstallComponentFunctionCallMacro (RayCastResampleInterpolator)
| elxInstallComponentFunctionCallMacro (RecursiveBSplineTransform)
| elxInstallComponentFunctionCallMacro (ReducedDimensionBSplineInterpolator)
| elxInstallComponentFunctionCallMacro (ReducedDimensionBSplineResampleInterpolator)
| elxInstallComponentFunctionCallMacro (RegularStepGradientDescent)
| elxInstallComponentFunctionCallMacro (RSGDEachParameterApart)
| elxInstallComponentFunctionCallMacro (SimilarityTransformElastix)
| elxInstallComponentFunctionCallMacro (Simplex)
| elxInstallComponentFunctionCallMacro (SimultaneousPerturbation)
| elxInstallComponentFunctionCallMacro (SplineKernelTransform)
| elxInstallComponentFunctionCallMacro (StandardGradientDescent)
| elxInstallComponentFunctionCallMacro (StatisticalShapePenalty)
| elxInstallComponentFunctionCallMacro (SumOfPairwiseCorrelationCoefficientsMetric)
| elxInstallComponentFunctionCallMacro (SumSquaredTissueVolumeDifferenceMetric)
| elxInstallComponentFunctionCallMacro (TransformBendingEnergyPenalty)
| elxInstallComponentFunctionCallMacro (TransformRigidityPenalty)
| elxInstallComponentFunctionCallMacro (TranslationStackTransform)
| elxInstallComponentFunctionCallMacro (TranslationTransformElastix)
| elxInstallComponentFunctionCallMacro (VarianceOverLastDimensionMetric)
| elxInstallComponentFunctionCallMacro (WeightedCombinationTransformElastix)

## Function Documentation

## elxInstallComponentFunctionCallMacro() [1/83]

elxInstallComponentFunctionCallMacro | ( | AdaptiveStochasticGradientDescent |  | ) |

## elxInstallComponentFunctionCallMacro() [2/83]

elxInstallComponentFunctionCallMacro | ( | AdvancedAffineTransformElastix |  | ) |

## elxInstallComponentFunctionCallMacro() [3/83]

elxInstallComponentFunctionCallMacro | ( | AdvancedBSplineTransform |  | ) |

## elxInstallComponentFunctionCallMacro() [4/83]

elxInstallComponentFunctionCallMacro | ( | AdvancedKappaStatisticMetric |  | ) |

## elxInstallComponentFunctionCallMacro() [5/83]

elxInstallComponentFunctionCallMacro | ( | AdvancedMattesMutualInformationMetric |  | ) |

## elxInstallComponentFunctionCallMacro() [6/83]

elxInstallComponentFunctionCallMacro | ( | AdvancedMeanSquaresMetric |  | ) |

## elxInstallComponentFunctionCallMacro() [7/83]

elxInstallComponentFunctionCallMacro | ( | AdvancedNormalizedCorrelationMetric |  | ) |

## elxInstallComponentFunctionCallMacro() [8/83]

elxInstallComponentFunctionCallMacro | ( | AffineDTITransformElastix |  | ) |

## elxInstallComponentFunctionCallMacro() [9/83]

elxInstallComponentFunctionCallMacro | ( | AffineLogStackTransform |  | ) |

## elxInstallComponentFunctionCallMacro() [10/83]

elxInstallComponentFunctionCallMacro | ( | AffineLogTransformElastix |  | ) |

## elxInstallComponentFunctionCallMacro() [11/83]

elxInstallComponentFunctionCallMacro | ( | BSplineInterpolator |  | ) |

## elxInstallComponentFunctionCallMacro() [12/83]

elxInstallComponentFunctionCallMacro | ( | BSplineInterpolatorFloat |  | ) |

## elxInstallComponentFunctionCallMacro() [13/83]

elxInstallComponentFunctionCallMacro | ( | BSplineResampleInterpolator |  | ) |

## elxInstallComponentFunctionCallMacro() [14/83]

elxInstallComponentFunctionCallMacro | ( | BSplineResampleInterpolatorFloat |  | ) |

## elxInstallComponentFunctionCallMacro() [15/83]

elxInstallComponentFunctionCallMacro | ( | BSplineStackTransform |  | ) |

## elxInstallComponentFunctionCallMacro() [16/83]

elxInstallComponentFunctionCallMacro | ( | CMAEvolutionStrategy |  | ) |

## elxInstallComponentFunctionCallMacro() [17/83]

elxInstallComponentFunctionCallMacro | ( | ConjugateGradient |  | ) |

## elxInstallComponentFunctionCallMacro() [18/83]

elxInstallComponentFunctionCallMacro | ( | ConjugateGradientFRPR |  | ) |

## elxInstallComponentFunctionCallMacro() [19/83]

elxInstallComponentFunctionCallMacro | ( | CorrespondingPointsEuclideanDistanceMetric |  | ) |

## elxInstallComponentFunctionCallMacro() [20/83]

elxInstallComponentFunctionCallMacro | ( | DefaultResampler |  | ) |

## elxInstallComponentFunctionCallMacro() [21/83]

elxInstallComponentFunctionCallMacro | ( | DeformationFieldTransform |  | ) |

## elxInstallComponentFunctionCallMacro() [22/83]

elxInstallComponentFunctionCallMacro | ( | DisplacementMagnitudePenalty |  | ) |

## elxInstallComponentFunctionCallMacro() [23/83]

elxInstallComponentFunctionCallMacro | ( | DistancePreservingRigidityPenalty |  | ) |

## elxInstallComponentFunctionCallMacro() [24/83]

elxInstallComponentFunctionCallMacro | ( | EulerStackTransform |  | ) |

## elxInstallComponentFunctionCallMacro() [25/83]

elxInstallComponentFunctionCallMacro | ( | EulerTransformElastix |  | ) |

## elxInstallComponentFunctionCallMacro() [26/83]

elxInstallComponentFunctionCallMacro | ( | ExternalTransform |  | ) |

## elxInstallComponentFunctionCallMacro() [27/83]

elxInstallComponentFunctionCallMacro | ( | FiniteDifferenceGradientDescent |  | ) |

## elxInstallComponentFunctionCallMacro() [28/83]

elxInstallComponentFunctionCallMacro | ( | FixedGenericPyramid |  | ) |

## elxInstallComponentFunctionCallMacro() [29/83]

elxInstallComponentFunctionCallMacro | ( | FixedRecursivePyramid |  | ) |

## elxInstallComponentFunctionCallMacro() [30/83]

elxInstallComponentFunctionCallMacro | ( | FixedShrinkingPyramid |  | ) |

## elxInstallComponentFunctionCallMacro() [31/83]

elxInstallComponentFunctionCallMacro | ( | FixedSmoothingPyramid |  | ) |

## elxInstallComponentFunctionCallMacro() [32/83]

elxInstallComponentFunctionCallMacro | ( | FullSampler |  | ) |

## elxInstallComponentFunctionCallMacro() [33/83]

elxInstallComponentFunctionCallMacro | ( | FullSearch |  | ) |

## elxInstallComponentFunctionCallMacro() [34/83]

elxInstallComponentFunctionCallMacro | ( | GradientDifferenceMetric |  | ) |

## elxInstallComponentFunctionCallMacro() [35/83]

elxInstallComponentFunctionCallMacro | ( | GridSampler |  | ) |

## elxInstallComponentFunctionCallMacro() [36/83]

elxInstallComponentFunctionCallMacro | ( | KNNGraphAlphaMutualInformationMetric |  | ) |

## elxInstallComponentFunctionCallMacro() [37/83]

elxInstallComponentFunctionCallMacro | ( | LinearInterpolator |  | ) |

## elxInstallComponentFunctionCallMacro() [38/83]

elxInstallComponentFunctionCallMacro | ( | LinearResampleInterpolator |  | ) |

## elxInstallComponentFunctionCallMacro() [39/83]

elxInstallComponentFunctionCallMacro | ( | MissingStructurePenalty |  | ) |

## elxInstallComponentFunctionCallMacro() [40/83]

elxInstallComponentFunctionCallMacro | ( | MovingGenericPyramid |  | ) |

## elxInstallComponentFunctionCallMacro() [41/83]

elxInstallComponentFunctionCallMacro | ( | MovingRecursivePyramid |  | ) |

## elxInstallComponentFunctionCallMacro() [42/83]

elxInstallComponentFunctionCallMacro | ( | MovingShrinkingPyramid |  | ) |

## elxInstallComponentFunctionCallMacro() [43/83]

elxInstallComponentFunctionCallMacro | ( | MovingSmoothingPyramid |  | ) |

## elxInstallComponentFunctionCallMacro() [44/83]

elxInstallComponentFunctionCallMacro | ( | MultiBSplineTransformWithNormal |  | ) |

## elxInstallComponentFunctionCallMacro() [45/83]

elxInstallComponentFunctionCallMacro | ( | MultiInputRandomCoordinateSampler |  | ) |

## elxInstallComponentFunctionCallMacro() [46/83]

elxInstallComponentFunctionCallMacro | ( | MultiMetricMultiResolutionRegistration |  | ) |

## elxInstallComponentFunctionCallMacro() [47/83]

elxInstallComponentFunctionCallMacro | ( | MultiResolutionRegistration |  | ) |

## elxInstallComponentFunctionCallMacro() [48/83]

elxInstallComponentFunctionCallMacro | ( | MultiResolutionRegistrationWithFeatures |  | ) |

## elxInstallComponentFunctionCallMacro() [49/83]

elxInstallComponentFunctionCallMacro | ( | NearestNeighborInterpolator |  | ) |

## elxInstallComponentFunctionCallMacro() [50/83]

elxInstallComponentFunctionCallMacro | ( | NearestNeighborResampleInterpolator |  | ) |

## elxInstallComponentFunctionCallMacro() [51/83]

elxInstallComponentFunctionCallMacro | ( | NormalizedGradientCorrelationMetric |  | ) |

## elxInstallComponentFunctionCallMacro() [52/83]

elxInstallComponentFunctionCallMacro | ( | NormalizedMutualInformationMetric |  | ) |

## elxInstallComponentFunctionCallMacro() [53/83]

elxInstallComponentFunctionCallMacro | ( | PatternIntensityMetric |  | ) |

## elxInstallComponentFunctionCallMacro() [54/83]

elxInstallComponentFunctionCallMacro | ( | PCAMetric |  | ) |

## elxInstallComponentFunctionCallMacro() [55/83]

elxInstallComponentFunctionCallMacro | ( | PCAMetric2 |  | ) |

## elxInstallComponentFunctionCallMacro() [56/83]

elxInstallComponentFunctionCallMacro | ( | PolydataDummyPenalty |  | ) |

## elxInstallComponentFunctionCallMacro() [57/83]

elxInstallComponentFunctionCallMacro | ( | Powell |  | ) |

## elxInstallComponentFunctionCallMacro() [58/83]

elxInstallComponentFunctionCallMacro | ( | PreconditionedStochasticGradientDescent |  | ) |

## elxInstallComponentFunctionCallMacro() [59/83]

elxInstallComponentFunctionCallMacro | ( | QuasiNewtonLBFGS |  | ) |

## elxInstallComponentFunctionCallMacro() [60/83]

elxInstallComponentFunctionCallMacro | ( | RandomCoordinateSampler |  | ) |

## elxInstallComponentFunctionCallMacro() [61/83]

elxInstallComponentFunctionCallMacro | ( | RandomSampler |  | ) |

## elxInstallComponentFunctionCallMacro() [62/83]

elxInstallComponentFunctionCallMacro | ( | RandomSamplerSparseMask |  | ) |

## elxInstallComponentFunctionCallMacro() [63/83]

elxInstallComponentFunctionCallMacro | ( | RayCastInterpolator |  | ) |

## elxInstallComponentFunctionCallMacro() [64/83]

elxInstallComponentFunctionCallMacro | ( | RayCastResampleInterpolator |  | ) |

## elxInstallComponentFunctionCallMacro() [65/83]

elxInstallComponentFunctionCallMacro | ( | RecursiveBSplineTransform |  | ) |

## elxInstallComponentFunctionCallMacro() [66/83]

elxInstallComponentFunctionCallMacro | ( | ReducedDimensionBSplineInterpolator |  | ) |

## elxInstallComponentFunctionCallMacro() [67/83]

elxInstallComponentFunctionCallMacro | ( | ReducedDimensionBSplineResampleInterpolator |  | ) |

## elxInstallComponentFunctionCallMacro() [68/83]

elxInstallComponentFunctionCallMacro | ( | RegularStepGradientDescent |  | ) |

## elxInstallComponentFunctionCallMacro() [69/83]

elxInstallComponentFunctionCallMacro | ( | RSGDEachParameterApart |  | ) |

## elxInstallComponentFunctionCallMacro() [70/83]

elxInstallComponentFunctionCallMacro | ( | SimilarityTransformElastix |  | ) |

## elxInstallComponentFunctionCallMacro() [71/83]

elxInstallComponentFunctionCallMacro | ( | Simplex |  | ) |

## elxInstallComponentFunctionCallMacro() [72/83]

elxInstallComponentFunctionCallMacro | ( | SimultaneousPerturbation |  | ) |

## elxInstallComponentFunctionCallMacro() [73/83]

elxInstallComponentFunctionCallMacro | ( | SplineKernelTransform |  | ) |

## elxInstallComponentFunctionCallMacro() [74/83]

elxInstallComponentFunctionCallMacro | ( | StandardGradientDescent |  | ) |

## elxInstallComponentFunctionCallMacro() [75/83]

elxInstallComponentFunctionCallMacro | ( | StatisticalShapePenalty |  | ) |

## elxInstallComponentFunctionCallMacro() [76/83]

elxInstallComponentFunctionCallMacro | ( | SumOfPairwiseCorrelationCoefficientsMetric |  | ) |

## elxInstallComponentFunctionCallMacro() [77/83]

elxInstallComponentFunctionCallMacro | ( | SumSquaredTissueVolumeDifferenceMetric |  | ) |

## elxInstallComponentFunctionCallMacro() [78/83]

elxInstallComponentFunctionCallMacro | ( | TransformBendingEnergyPenalty |  | ) |

## elxInstallComponentFunctionCallMacro() [79/83]

elxInstallComponentFunctionCallMacro | ( | TransformRigidityPenalty |  | ) |

## elxInstallComponentFunctionCallMacro() [80/83]

elxInstallComponentFunctionCallMacro | ( | TranslationStackTransform |  | ) |

## elxInstallComponentFunctionCallMacro() [81/83]

elxInstallComponentFunctionCallMacro | ( | TranslationTransformElastix |  | ) |

## elxInstallComponentFunctionCallMacro() [82/83]

elxInstallComponentFunctionCallMacro | ( | VarianceOverLastDimensionMetric |  | ) |

## elxInstallComponentFunctionCallMacro() [83/83]

elxInstallComponentFunctionCallMacro | ( | WeightedCombinationTransformElastix |  | ) |

Generated on 1768596610 for elastix by 1.15.0 |